Package org.opensaml.saml.common.messaging.context

# Class AttributeConsumingServiceContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.AttributeConsumingServiceContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class AttributeConsumingServiceContext extends BaseContext
Context, usually attached to `SAMLMetadataContext` that carries a SAML `AttributeConsumingService` for use in later stages.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private AttributeConsumingService`
`attributeConsumingService`
The AttributeConsumingService.

## Constructor Summary

Constructors
Constructor
Description
`AttributeConsumingServiceContext()`

## Method Summary

Modifier and Type
Method
Description
`AttributeConsumingService`
`getAttributeConsumingService()`
Gets the assertion to be validated.
`AttributeConsumingServiceContext`
`setAttributeConsumingService(AttributeConsumingService acs)`
Sets the assertion to be validated.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### attributeConsumingService

@Nullable private AttributeConsumingService attributeConsumingService
The AttributeConsumingService.

## Constructor Details

### AttributeConsumingServiceContext

public AttributeConsumingServiceContext()

## Method Details

### getAttributeConsumingService

@Nullable public AttributeConsumingService getAttributeConsumingService()
Gets the assertion to be validated.

Returns:
  the assertion to be validated

### setAttributeConsumingService

@Nonnull public AttributeConsumingServiceContext setAttributeConsumingService(@Nullable AttributeConsumingService acs)
Sets the assertion to be validated.

Parameters:
  `acs` - assertion to be validated
Returns:
  this context